<?php
/*------------------------------------------------------------------------
# "Hot Full Carousel" Joomla module
# Copyright (C) 2013-2022 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotThemes
# Website: https://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
 
// no direct access
defined('_JEXEC') or die('Direct Access to this location is not allowed.');

// Path assignments
$mosConfig_absolute_path = JPATH_SITE;
$mosConfig_live_site = JURI :: base();
if(substr($mosConfig_live_site, -1)=="/") { $mosConfig_live_site = substr($mosConfig_live_site, 0, -1); }
 
// get parameters from the module's configuration

$slides = $params->get('slides');
$slides_arr = (array) $slides;
$slides_number = count($slides_arr);
$loop = 1;

foreach ($slides_arr as $slide) {

	$enableSlide[$loop] = $slide->enableSlide;
	$image[$loop] = $slide->image;
	$imageAlt[$loop] = $slide->imageAlt;
	$imageHeading[$loop] = $slide->imageHeading;
	$imageText[$loop] = $slide->imageText;

	$loop++;
}

$animationType = $params->get('animationType','0');
$pauseTime = $params->get('pauseTime','5000');
$pauseOnHover = $params->get('pauseOnHover','1');
$textAreaWidth = $params->get('textAreaWidth','50');
$textAreaLeft = $params->get('textAreaLeft','24px');
$textAreaCenter = $params->get('textAreaCenter','0');
$textAreaTop = $params->get('textAreaTop','80px');
$textAreaPadding = $params->get('textAreaPadding','1%');
$textResponsiveBelow = $params->get('textResponsiveBelow','');
$boxBgColor = $params->get('boxBgColor','255,255,255');
$boxTransparency = $params->get('boxTransparency','0.8');
$headingTextColor = $params->get('headingTextColor','#000000');
$textColor = $params->get('textColor','#000000');
$headingSize = $params->get('headingSize','24');
$textSize = $params->get('textSize','12');
$navArrows = $params->get('navArrows','1');
$navDots = $params->get('navDots','1');
$uniqueid = $params->get('uniqueid','');
$fullWidth = $params->get('fullWidth','1');
$slideWidth = $params->get('slideWidth','23%');
$slideMargin = $params->get('slideMargin','2%');
$draggable = $params->get('draggable','1');
$initialIndex = $params->get('initialIndex','0');
$wrapAround = $params->get('wrapAround','1');

require(JModuleHelper::getLayoutPath('mod_hot_swipe_carousel'));